For the complete documentation index, see llms.txt. This page is also available as Markdown.

Activate Card

Activate a gift card

post
/api/v2/transactions/stored-value-card/activate

Activating the card allows the cardholder to access the funds stored on the card.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x-vfi-api-idempotencykeystringOptional

Example: 63bbc548-d2de-4546-b106-880a5018461c

A value you specify that uniquely identifies this transaction. This must be used to trigger a reversal if there is a timeout.

Body
or
Responses
201

Response for gift card transactions

application/json
idstring · uuid-flexibleOptional

The ID of the transaction.

balance_amountintegerOptional

Balance amount is the amount remaining on a card or account of cardholder without a decimal place e.g. $1.5 = 150

The required number of decimal places for a currency code is according to ISO 4217. However the following table takes precedence over ISO 4217:

created_atstring · date-timeOptional

The time at which the transaction was created.

customerstringOptional

The ID of a customer.

invoice_numberstring · max: 127Optional

Optional. The invoice number to track this payment.

merchant_referencestring · max: 50Optional

A reference specified by the merchant to identify the transaction.

processorstringOptional

The name of the processor used for this transaction

processor_referencestringOptional

Reference identifying the transaction, as provided by the processor.

processor_detailsobjectOptional

Reference identifying the transaction, as provided by the processor.

statusstring · enumOptional

The outcome of the payment request.

Possible values:
status_reasonstringOptional

Message provided by the 3rd party service as additional information, when the transaction does not succeed.

arnstringOptional

Acquirer reference number. Generated by the Acquirer at the time of clearing for card transactions.

authorization_codestring · max: 6Optional
  • When the payment is authorized successfully, this field holds the authorization code for the payment.

  • When the payment is not authorized, this field is not returned.

Example: 5B1D4C
rrnstring · max: 12Optional

A client (user friendly) identifier for the transaction generated at the outset of a business event. The format will be dependent on the calling system.

A reference supplied by the system retaining the original source information and used to assist in locating that transaction or a copy of the transaction. This value is critical in matching values that are sent to other Payment processors or Acquirers. This value would correspond to the ISO8583 specification as RRN in attribute DE 37, which limits the value to being an alphanumeric value 12 characters.

For the GSC client android application the format will correspond to YYMMdd<stan 6 digits>.

reason_codestring · max: 4Optional

A reason code assigned by the acquiring platform; '0000' in case of success

shopper_interactionstring · enumOptional

Determines the point of sale of a customer. Possible values: pos, moto, mail_order, telephone_order, ecommerce and cont_auth

Possible values:
stannumberOptional

System Trace Audit Number.

promo_codestringOptional

A code defined by the merchant that affects the calculation of the total amount.

amountintegerOptional

Amount is charged without a decimal place e.g. $1.5 = 150. Currencies can have different decimals/exponentials, see Currencies Section for more details. For Account Verification transactions, provide 0 as value for this field.

Example: 0
post
/api/v2/transactions/stored-value-card/activate

Last updated

Was this helpful?